Skip to content
Seal
Esc
↑↓navigate↵open⌘Jpreview

List async jobs (newest first)

GET/jobs
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Query parameters
statusstring
Allowed:queuedrunningdoneerror
limitinteger
min 1 · max 100 · default: 50
Responses
200

Job list

jobsJob[]
Show properties
Array of Job
idstringrequired
typestringrequired

Job type, e.g. review-generate

statusstringrequired
Allowed:queuedrunningdoneerror
errorstring | null
resultobject | null
created_atstring<date-time>required
started_atstring<date-time> | null
finished_atstring<date-time> | null
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.seal.nyc/api/v1/jobs" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "jobs": [
    {
      "id": "string",
      "type": "string",
      "status": "queued",
      "error": "string",
      "result": {},
      "created_at": "2019-08-24T14:15:22Z",
      "started_at": "2019-08-24T14:15:22Z",
      "finished_at": "2019-08-24T14:15:22Z"
    }
  ]
}